﻿@model ARGNSModelSampleView
@{
    ViewBag.Title = "Samples";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var Comment = '@Model.U_Comments';
</script>
@Scripts.Render("~/bundles/FileInput")

<div class="navbar navbar-fixed-top" role="navigation">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse" data-target-2=".side-collapse-container">
                <span class="sr-only">Toggle navigation</span>
            </button>
            <a class="navbar-brand" href="/PLM">  <span>SAP® Business One</span> OnePortal</a>
        </div>
        <div class="navbar-collapse collapse">
        </div>
    </div>
</div>

<h1 class="page-header">@Samples.TitleHead</h1>

<!--CONTENIDOS-->
@using (Html.BeginForm("ConfirmAction", "PDM", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formSamples" }))
{
        <div class="col-md-8 col-sm-8 col-xs-12 col_derecha">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@Samples.Title</h3>
                </div>
                <div class="panel-body">
                    <!--col1-->
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.SelectStyle</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_ModCode, new { @Id = "U_ModCode", @Name = "U_ModCode", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.Type</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_Type, new SelectList(
                                    Model.ListSampleVal,
                                    "Code",
                                    "U_Descript", Model.U_Type), new { @Id = "U_Type", @Name = "U_Type", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.Code</label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(c => c.U_SampCode, new { @Id = "U_SampCode", @Name = "U_SampCode", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.Status</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.ListStatus, new SelectList(Model.ListStatus, "Value", "Text"), new { @Id = "Status", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.SetStatusby</label>
                            <div class="col-md-8">
                                @Html.DropDownListFor(model => model.U_User, new SelectList(
                                    Model.ListUser,
                                    "USERID",
                                    "U_NAME", Model.U_Type), new { @Id = "U_User", @Name = "U_User", @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.Date</label>
                            <div class="col-md-8">
                                <div class="input-group date">
                                    @Html.TextBoxFor(c => c.U_Date, new { @Id = "U_Date", @Name = "U_Date", @placeholder = "Date", @class = "form-control", @Value = (Model.U_Date != null && Model.U_Date != DateTime.MinValue) ? Model.U_Date.ToString().AsDateTime().ToShortDateString() : System.DateTime.Now.ToString().AsDateTime().ToShortDateString() })
                                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.ApprovalDate</label>
                            <div class="col-md-8">
                                <div class="input-group date">
                                    @Html.TextBoxFor(c => c.U_ApproDate, new { @Id = "U_ApproDate", @Name = "U_ApproDate", @placeholder = "Approve Date", @class = "form-control", @Value = (Model.U_ApproDate != null && Model.U_ApproDate != DateTime.MinValue) ? Model.U_ApproDate.ToString().AsDateTime().ToShortDateString() : System.DateTime.Now.ToString().AsDateTime().ToShortDateString() })
                                    <span id="CustomerSearch" class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.Supplier</label>
                            <div class="col-md-8">
                                <div class="input-group search">
                                    <input id="txtSupplier" class="form-control" name="txtSupplier" placeholder="Supplier" type="text" value='@Model.U_BPSupp'>
                                    <span data-toggle="modal" data-target="#SuppModal" class="input-group-addon"><i class="glyphicon glyphicon-search"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-4 control-label">@Samples.Customer</label>
                            <div class="col-md-8">
                                <div class="input-group search">
                                    <input id="txtCustomer" class="form-control" name="txtCustomer" placeholder="Customer" type="text" value='@Model.U_BPCustomer'>
                                    <span data-toggle="modal" data-target="#VendorModal" class="input-group-addon"><i class="glyphicon glyphicon-search"></i></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="alert alert-error" id="ListEmpty" role="alert">
                <strong>Please!</strong> You need generate the scales for the sample.
            </div>
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div id="collapsePom" class="panel-collapse collapse in" style="height: auto;">
                            <div class="panel-body">
                                <div id="PomTable" class="table-responsive">
                                    <div id="LoadingPom">
                                        <img src="~/Content/img/fountain.GIF" />
                                    </div>
                                    @if (Model.ListModelPomTab.Count > 0)
                                    {
                                        @Html.Partial("_TabScalePom", Model.ListModelPomTab)
                                    }
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <div class="alert alert-success" id="AddUpdateCorrectly" role="alert">
                <strong>Well done!</strong> @ViewBag.FormMode Correctly to the Sample.
            </div>
            <div class="alert alert-danger" id="AddUpdateFail" role="alert">
                The sample cannot be added. Please check the data!!.
            </div>
            <div class="but_blok_footer">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-lg btn-success pull-right">@Samples.Save</button>
                </div>
            </div>
        </div>

        <div class="col-md-4 col-sm-4 col-xs-12 col_izquierda">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@Samples.Product</h3>
                </div>
                @if (ViewBag.FormMode != "Add" && !string.IsNullOrEmpty(Model.U_Picture))
                {
                    <div class="panel-body" id="bloke2">

                        <div class="carousel slide" id="carousel" data-ride="carousel">
                            <div class="carousel-inner">
                                <div class="item active" data-thumb="0">
                                    <img src='@("/images/" + Model.U_ModCode + "_Samples/" + Model.U_Picture.Split('\\').Last())'>
                                </div>
                            </div>
                        </div>
                    </div>
                }
                <div class="panel-body" id="bloke2">
                    <div class="form-group">
                        <input id="file-ImgUpload" type="file" multiple class="file" data-overwrite-initial="false">
                    </div>
                    <script>
                    $("#file-ImgUpload").fileinput({
                        uploadUrl: '#',
                        overwriteInitial: false,
                        allowedFileTypes: ['image'],
                        slugCallback: function(filename) {
                            return filename.replace('(', '_').replace(']', '_');
                        }
	                });
                    </script>
                </div>
            </div>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@Samples.GenerateTable</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-12">@Samples.Scale</label>
                        <div class="col-md-12">
                            @Html.DropDownListFor(model => model.U_SclCode, new SelectList(
                                    Model.ListScale,
                             "U_SclCode",
                            "U_SclCode", Model.U_SclCode), new { @Id = "U_SclCode", @Name = "U_SclCode", @class = "form-control" })

                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-12">@Samples.POM</label>
                        <div class="col-md-12">
                            @Html.DropDownListFor(model => model.U_POM, new SelectList(
                                    Model.ListPOM,
                                    "U_CodeTmpl",
                                    "U_Desc", Model.U_POM), new { @Id = "U_POM", @Name = "U_POM", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion2" href="#collapseTwo2">
                            @Samples.Scale
                            <i class="indicator glyphicon glyphicon-chevron-up  pull-right"></i>
                        </a>
                    </h4>
                </div>
                <div id="collapseTwo2" class="panel-collapse collapse">
                    <div class="panel-body">
                        <div id="LoadingSize">
                            <img src="~/Content/img/fountain.GIF" />
                        </div>
                        <div class="table-responsive" id="ScaleTableItems">
                            @Html.Partial("_Sizes", Model.ListSizes)
                        </div>
                    </div>
                </div>
            </div>
        </div>

    @Html.HiddenFor(c => c.Code, new { @Id = "Code", @Name = "Code" })
    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />
}

<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@SaleOrders.Search @SaleOrders.Customer</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeVendor" value="option1" checked=""> @SaleOrders.BC
                        </label>
                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameVendor" value="option1" checked=""> @SaleOrders.BN
                        </label>
                    </div>
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@SaleOrders.Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchVendor" class="form-control">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadVendor" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyVendor">
                            @Html.Partial("_CustomerSA", Model.ListCustomer)
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="SuppModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelSuppModalVendor">@SaleOrders.Search Supplier</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeSupplier" value="option1" checked=""> @SaleOrders.BC
                        </label>
                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameSupplier" value="option1" checked=""> @SaleOrders.BN
                        </label>
                    </div>
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@SaleOrders.Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchSupplier" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSupplier" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadSupplier" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySupplier">
                            @Html.Partial("_CustomerSUP", Model.ListCustomer)
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

<style type="text/css">
    .file-preview-image {
        height: 200px;
        width: 200px;
    }

    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {
        height: 240px;
        width: auto;
        margin: auto;
        display: block;
    }

    .item .thumb {
        width: 25%;
        cursor: pointer;
        float: left;
    }

    .item .thumb img {
        width: auto;
        max-height: 80px;
        display: block;
    }
</style>

@Scripts.Render("~/bundles/Samples")